Closed Bug 1003614 Opened 6 years ago Closed Last year

Intermittent browser_details.js | Enable button should be visible | Disable button should be hidden etc. and should be disabled

Categories

(Testing :: General, defect)

x86
Windows 7
defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: RyanVM, Assigned: q)

References

Details

(Keywords: intermittent-failure)

https://tbpl.mozilla.org/php/getParsedLog.php?id=38753914&tree=B2g-Inbound

WINNT 6.2 b2g-inbound pgo test mochitest-browser-chrome-3 on 2014-04-29 17:36:49 PDT for push 469b786fd5f1
slave: t-w864-ix-004

17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Remove button should be visible
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Warning message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Warning link should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Error message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Pending message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Preferences button should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Enable button should be visible
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: is_element_visible :: line 426
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 225
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Disable button should be hidden
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: is_element_hidden :: line 431
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 226
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Remove button should be visible
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Warning message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Warning link should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Error message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Error link should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Pending message should be visible
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: is_element_visible :: line 426
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 233
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Pending message should be correct - Got , expected Test add-on 1 will be disabled after you restart Nightly.
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 758
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 234
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Should not get category when manager window is not loaded
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Should not open category when manager window is not loaded
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Should not check visible state when manager window is not loaded
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Category should be visible if attempting to open it
17:42:15     INFO -  TEST-INFO | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Console message: No chrome package registered for chrome://foo/skin/icon64.png
17:42:15     INFO -  TEST-INFO | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Console message: No chrome package registered for chrome://foo/skin/icon.png
17:42:15     INFO -  TEST-INFO | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Console message: No chrome package registered for chrome://foo/skin/icon.png
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Preferences button should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Enable button should be visible
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: is_element_visible :: line 426
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 239
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Disable button should be hidden
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: is_element_hidden :: line 431
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 240
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Remove button should be visible
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Warning message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Warning link should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Error message should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Error link should be hidden
17:42:15     INFO -  TEST-PASS | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Element should not be null, when checking visibility
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Pending message should be visible
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: is_element_visible :: line 426
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 247
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:42:15  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Pending message should be correct - Got , expected Test add-on 1 will be disabled after you restart Nightly.
17:42:15     INFO -  Stack trace:
17:42:15     INFO -      JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 758
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js :: <TOP_LEVEL> :: line 248
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: log_exceptions :: line 142
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: wait_for_view_load/< :: line 268
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gVC_notifyViewChanged :: line 757
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: updateView_fillSettingsRows :: line 2930
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_fillSettingsRows :: line 3131
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: gDetailView_updateView :: line 2931
17:42:15     INFO -      JS frame :: chrome://mozapps/content/extensions/extensions.js :: show_getAddonByID :: line 2954
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: safeCall :: line 166
17:42:15     INFO -      JS frame :: resource://gre/modules/AddonManager.jsm :: getAddonByID_safeCall :: line 1935
17:42:15     INFO -      JS frame :: chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/head.js :: MP_delayCallback/< :: line 990
17:42:15     INFO -      native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
Hmm, a Win8-only failure, which started at the time of the driver update, and which has only been seen on three slaves?
Blocks: 977615
Component: Add-ons Manager → Platform Support
Product: Toolkit → Release Engineering
QA Contact: coop
Summary: Intermittent browser_details.js | Enable button should be visible | Disable button should be hidden | Pending message should be visible | Pending message should be correct - Got , expected Test add-on 1 will be disabled after you restart Nightly. and more → Win8 slaves at too-small resolution hit browser_details.js | Enable button should be visible | Disable button should be hidden etc. and should be disabled
Depends on: 1018802
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
Whiteboard: [leave open][honeypot for bad slaves]
The email regarding this bug said w7 AND w8. Is this a w8 only issue?
Affects Win7 too.
Summary: Win8 slaves at too-small resolution hit browser_details.js | Enable button should be visible | Disable button should be hidden etc. and should be disabled → Windows slaves at too-small resolution hit browser_details.js | Enable button should be visible | Disable button should be hidden etc. and should be disabled
Assignee: nobody → q
Component: Platform Support → RelOps
Product: Release Engineering → Infrastructure & Operations
QA Contact: coop → arich
Version: unspecified → other
(In reply to Amy Rich [:arr] [:arich] from comment #42)
> The email regarding this bug said w7 AND w8. Is this a w8 only issue?

Using the script jordan wrote for diagnosing intermittents:

{'builders': [('Windows 7 32-bit mozilla-central pgo test mochitest-e10s-browser-chrome-2',
               5),
              ('Windows 7 32-bit mozilla-central pgo test mochitest-e10s-browser-chrome-1',
               5),
              ('Windows 7 32-bit mozilla-central pgo test mochitest-e10s-browser-chrome-3',
               3),
              ('Windows 8 64-bit mozilla-central opt test mochitest-browser-chrome-3',
               1),
              ('Windows 8 64-bit fx-team pgo test mochitest-e10s-browser-chrome-3',
               1),
              ('Windows 8 64-bit b2g-inbound pgo test mochitest-e10s-browser-chrome-3',
               1),
              ('Windows 8 64-bit b2g-inbound pgo test mochitest-browser-chrome-3',
               1),
              ('Windows 8 64-bit mozilla-inbound debug test mochitest-browser-chrome-3',
               1),
              ('WINNT 6.2 mozilla-beta pgo test mochitest-browser-chrome-3',
               1),
              ('Windows 8 64-bit mozilla-central opt test mochitest-e10s-browser-chrome-3',
               1),
              ('Windows 8 64-bit fx-team debug test mochitest-browser-chrome-3',
               1),
              ('Windows 8 64-bit mozilla-inbound opt test mochitest-browser-chrome-3',
               1),
              ('Windows 8 64-bit b2g-inbound opt test mochitest-e10s-browser-chrome-3',
               1)],
 'repos': [('mozilla-central', 15),
           ('b2g-inbound', 3),
           ('fx-team', 2),
           ('mozilla-inbound', 2),
           ('mozilla-beta', 1)],
 'slaves': [('t-w864-ix-140', 3),
            ('t-w732-ix-090', 2),
            ('t-w732-ix-158', 2),
            ('t-w732-ix-015', 1),
            ('t-w732-ix-144', 1),
            ('t-w732-ix-171', 1),
            ('t-w864-ix-042', 1),
            ('t-w732-ix-032', 1),
            ('t-w732-ix-095', 1),
            ('t-w864-ix-136', 1),
            ('t-w732-ix-007', 1),
            ('t-w732-ix-121', 1),
            ('t-w732-ix-003', 1),
            ('t-w864-ix-170', 1),
            ('t-w864-ix-097', 1),
            ('t-w864-ix-142', 1),
            ('t-w732-ix-093', 1),
            ('t-w864-ix-146', 1),
            ('t-w864-ix-169', 1)],
 'times': {'2014-10-28': 5,
           '2014-10-29': 1,
           '2014-11-25': 3,
           '2015-03-17': 1,
           '2015-07-21': 2,
           '2015-07-22': 1,
           '2015-07-23': 1,
           '2015-07-25': 1,
           '2015-07-27': 1,
           '2015-07-28': 1,
           '2015-07-29': 1,
           '2015-07-30': 2,
           '2015-07-31': 1,
           '2015-08-02': 1,
           '2015-08-03': 1}}
Whiteboard: [leave open][honeypot for bad slaves] → [leave open][honeypot for bad slaves][windows]
Looking through the September reports this seems to only be happing on windows 7 slaves at this point.
Yeah, this bug has turned into a junkyard - the Win7 failures are not the previous Win8 failures where a too-small resolution was putting stuff offscreen, but instead are a completely new and different cascade of failure from that first line, "browser-test.js | Found an unexpected unknown window", where sometimes a window that's supposed to be totally off-screen is instead covering over the things that browser_details.js wants to have visible.
Component: RelOps → General
OS: Windows 8 → Windows 7
Product: Infrastructure & Operations → Testing
QA Contact: arich
Summary: Windows slaves at too-small resolution hit browser_details.js | Enable button should be visible | Disable button should be hidden etc. and should be disabled → Intermittent browser_details.js | Enable button should be visible | Disable button should be hidden etc. and should be disabled
Whiteboard: [leave open][honeypot for bad slaves][windows]
Version: other → unspecified
as auto reopened due to bad alerts closing
Status: REOPENED → RESOLVED
Closed: 4 years agoLast year
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.